Replace Certificate

Replace Certificate
Replace the certificate of the given appliance

Replace the certificate of the given appliance

Request
URI
PUT
https://{api_host}/suite-api/api/fleet-management/certificate-management/certificates/{certificateId}
COPY
Path Parameters
string
certificateId
Required

A key/Id of the certificate which needs to be replaced


Request Body

Replace certificates Request Body

CertificateReplaceData of type(s) application/json
Required

Show optional properties

{
    "caType": "string"
}
"{\n  \"caType\" : \"EXTERNAL_CA\",\n  \"certificateChain\" : \"-----BEGIN CERTIFICATE -----pemencoded-server-cert-----END CERTIFICATE -----\\n-----BEGIN CERTIFICATE -----pemencoded-root-ca-cert-----END CERTIFICATE -----\"\n}"
string
caType
Required

Certificate signing CA type (e.g., VMCA, OPENSSL_CA, MSCA, EXTERNAL_CA)

Possible values are : VMCA, OPENSSL_CA, MSCA, EXTERNAL_CA, UNKNOWN,
string
certificateChain
Optional

Full Certificate chain

Authentication
This operation uses the following authentication methods.
Responses
202

The certificate replacement workflow details

Returns WorkflowRequest of type(s) application/json
"{\n  \"requestId\" : \"4881a542-e10c-4033-b161-41622324db01\",\n  \"requestName\" : \"updatepassword\",\n  \"requestReason\" : \"Update Password of testUser user for NSX Manager appliance with IP/FQDN vip-nsx-mgmt.vrack.vsphere.local\",\n  \"requestType\" : \"Update Password\",\n  \"state\" : \"CREATED\",\n  \"errorCause\" : [ ]\n}"
string
category
Required

Categories for VCF workflow requests

Possible values are : INVENTORY, PASSWORD, CERTIFICATE, LCM_MIGRATION, VCF_PASSWORD_MANAGEMENT, VCF_CERTIFICATE_MANAGEMENT, SERVICE_REGISTRY_ROTATION, SOLUTIONS_CATALOG, SALT_RAAS_CONFIGURATION, VIDB_MIGRATION, VCF_IAM,
integer As int64 As int64
duration
Optional

Duration of the request

array of object
errorCause
Optional

List of errors encountered during workflow execution

string
requestId
Optional

Unique identifier of the request

string
requestName
Required
Constraints: minLength: 1

Name of the workflow request

string
requestReason
Optional

Reason for the workflow request

string
requestType
Required
Constraints: minLength: 1

Type of the workflow request (e.g., CREATE_ENVIRONMENT, VC_DATA_COLLECTION)

string
state
Optional

Current state of the workflow request (e.g., CREATED, IN_PROGRESS, COMPLETED, FAILED)


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"caType":"string"}' https://{api_host}/suite-api/api/fleet-management/certificate-management/certificates/{certificateId}